Bug 239847

Summary: [NEW PORT] benchmarks/hipercontracer: High-Performance Connectivity Tracer (HiPerConTracer)
Product: Ports & Packages Reporter: dreibh
Component: Individual Port(s)Assignee: Rodrigo Osorio <rodrigo>
Status: Closed FIXED    
Severity: Affects Many People CC: rodrigo
Priority: --- Keywords: feature, needs-qa
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://www.uni-due.de/~be0001/hipercontracer/
Attachments:
Description Flags
The shar file
none
The updated shar file none

Description dreibh 2019-08-14 12:00:23 UTC
Created attachment 206529 [details]
The shar file

The package hipercontracer has been missing in the FreeBSD ports. Therefore, I have created a port.

High-Performance Connectivity Tracer (HiPerConTracer) is a ping/traceroute service. It performs regular ping and traceroute runs among sites and can export the results into an SQL or Non-SQL database. 

Homepage of hipercontracer: https://www.uni-due.de/~be0001/hipercontracer/

Fix: The shar file hipercontracer-1.4.6.shar is attached.
Comment 1 dreibh 2019-08-20 13:00:10 UTC
Created attachment 206725 [details]
The updated shar file

I updated the shar file, adding missing dependencies on libboost.
Comment 2 commit-hook freebsd_committer 2019-08-21 16:29:49 UTC
A commit references this bug:

Author: rodrigo
Date: Wed Aug 21 16:29:27 UTC 2019
New revision: 509511
URL: https://svnweb.freebsd.org/changeset/ports/509511

Log:
  Add new port benchmarks/hipercontracer : High-Performance Connectivity Tracer

  High-Performance Connectivity Tracer (HiPerConTracer) is a ping/traceroute service.
  It performs regular ping and traceroute runs among sites and can export the results
  into an SQL or Non-SQL database.

  PR:		239847
  Submitted by:	dreibh@iem.uni-due.de

Changes:
  head/benchmarks/Makefile
  head/benchmarks/hipercontracer/
  head/benchmarks/hipercontracer/Makefile
  head/benchmarks/hipercontracer/distinfo
  head/benchmarks/hipercontracer/pkg-descr
  head/benchmarks/hipercontracer/pkg-plist
Comment 3 Rodrigo Osorio freebsd_committer 2019-08-21 16:30:28 UTC
Committed with few changes, thanks.